<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<title>Software Engineering code of Ethics and Professional Practice</title>
</head>
<body>
<span><em>Science and Engineering Ethic (2001) 7, 231-238</em></span>
<hr>
<h1>Software Engineering Code of Ethics and Professional Practice</h1>

<h3>IEEE-CS/ACM Joint Task Force on Software Engineering Ethics and Professional Practices</h3>
<hr>
<span><strong>Keywords:</strong> code of ethics, professional responsibility, software engineering</span>
<h4>PREAMBLE</h4>
<p>The short version of the code summarizes aspiration at a high level of abstraction. The clauses that are included in the full version give examples and details of how these aspirations change the way we act as software engineering professionals. Without the aspration, the details can become legalistic and tedious; without the details, the aspirations can become high-sounding but empty; together, the aspiration and the details form a cohesive code.</p>
</body>
</html>